Skip to main content
GET
/
api
/
v0
/
metrics
/
gpu
/
current
show gpu metrics
curl --request GET \
  --url https://console.vast.ai/api/v0/metrics/gpu/current/ \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "gpus": [
    {
      "gpu_name": "RTX 4090",
      "total": 123,
      "available": 123,
      "rented_verified": 123,
      "avail_verified": 123,
      "rented_unverified": 123,
      "avail_unverified": 123,
      "usage": 123,
      "usage_30d": 123,
      "dlperf": 123,
      "tflops": 123,
      "price_p10": 123,
      "price_p25": 123,
      "price_median": 123,
      "price_p75": 123,
      "price_p90": 123,
      "tflops_per_dollar": 123,
      "dlperf_per_dollar": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vast.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Query Parameters

verified
enum<string>
default:yes

Filter by verification status

Available options:
yes,
no,
all
hosting_type
enum<string>
default:all

Filter by hosting type

Available options:
all,
secure_cloud,
community
num_gpus
string
default:all

GPU count bucket or "all" for true population

Response

Success response

success
boolean
Example:

true

gpus
object[]